aboutsummaryrefslogtreecommitdiffstats
path: root/csit/install-robotframework.sh
diff options
context:
space:
mode:
Diffstat (limited to 'csit/install-robotframework.sh')
-rw-r--r--csit/install-robotframework.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/csit/install-robotframework.sh b/csit/install-robotframework.sh
new file mode 100644
index 00000000..2c4f4320
--- /dev/null
+++ b/csit/install-robotframework.sh
@@ -0,0 +1,16 @@
+set -exu
+
+ROBOT3_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT3_VENV=${ROBOT3_VENV}" >> "${WORKSPACE}/env.properties"
+
+echo "Python version is: $(python3 --version)"
+
+python3 -m venv "${ROBOT3_VENV}"
+source "${ROBOT3_VENV}/bin/activate"
+
+# Make sure pip3 itself us up-to-date.
+python3 -m pip install --upgrade pip
+
+echo "Installing Python Requirements"
+python3 -m pip install -r ${WORKSPACE}/pylibs.txt
+python3 -m pip freeze